Summary:	NUT GUI Interface
Name:		knutclient
Version:	0.9.3
Release:	%mkrel 1
License:	GPL
Url:		http://www.alo.cz
Group:		Monitoring
Source0:        ftp://ftp.buzuluk.cz/pub/alo/knutclient/stable/%{name}-%{version}.tar.gz
Buildrequires:	kdelibs-devel
Buildrequires:  mandriva-create-kde-mdk-menu
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Knutclient is a KDE GUI interface for the UPS system NUT

%prep

%setup -q

%build
libtoolize -c -f
aclocal-1.9
autoheader
automake-1.9 -a -c
autoconf

export QTDIR=%{_prefix}/lib/qt3
export KDEDIR=%{_prefix}

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="$RPM_OPT_FLAGS"			\
CXXFLAGS="$RPM_OPT_FLAGS"		\
./configure	--prefix=%{_prefix}	\
%if "%{_lib}" != "lib"
        --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--enable-mt		\
		--enable-final		\
		--disable-rpath
(cd src
for i in *.h; do moc $i > `basename $i .h`.moc; done || :
%make
)

%install
(
cd src
%makeinstall_std
for i in *.png; do
    dest=`echo $i | sed 's:^\(..\)\(..\)-app-\(.*\):\1color/\2x\2/apps/\3:'`
    install -D $i %{buildroot}%{_iconsdir}/$dest
done
)
mkdir -p %{buildroot}%{_datadir}/applications/kde
install src/knutclient.desktop %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

mkdir -p %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl %{name} System/Monitoring %{buildroot}%{_datadir}/applications/kde/%{name}.desktop %{buildroot}%{_menudir}/%{name}

%find_lang %{name} 

%clean
rm -rf %{buildroot}

%post
%update_menus
 
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL TODO COPYING 
%{_bindir}/knutclient
%{_menudir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applnk/Utilities/%{name}.desktop
%dir %{_datadir}/apps/knutclient
%{_datadir}/apps/knutclient/knutclientui.rc
#%{_docdir}/HTML/*/knutclient
%{_iconsdir}/hicolor/16x16/apps/knutclient.png
%{_iconsdir}/hicolor/16x16/apps/knutclienterr.png
%{_iconsdir}/hicolor/16x16/apps/knutclientconn.png
%{_iconsdir}/hicolor/32x32/apps/knutclient.png
%{_iconsdir}/hicolor/48x48/apps/knutclient.png
%{_iconsdir}/locolor/16x16/apps/knutclient.png
%{_iconsdir}/locolor/16x16/apps/knutclientconn.png
%{_iconsdir}/locolor/16x16/apps/knutclienterr.png
%{_iconsdir}/locolor/32x32/apps/knutclient.png


%changelog
* Fri Mar 23 2007 Laurent Montel <lmontel@mandriva.com> 0.9.3-1mdv2007.1
+ Revision: 148339
- Fix on x86_64

  + Oden Eriksson <oeriksson@mandriva.com>
    - make it appear in the menus (is this the correct way?)
    - fix build on x86_64
    - 0.9.3

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2007.0
+ Revision: 55945
- 0.9
- Import knutclient



* Fri May 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.6-4mdk
- patch0: accept automake 1.8.x and 1.9.x

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.6-3mdk
- build with automake1.8

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-2mdk
- Fix Buildrequires

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-1mdk
- New release 0.8.6

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.5-2mdk
- Fix build on x86_64

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Rebuild

* Fri Apr 23 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.8.1-1mdk
- New release

* Wed Mar 31 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.8.0.1-1mdk
- New release
- Add patch1: allow to change shortcut (patch from lmontel@mandrakesoft.com)
- Add patch2: fix includemoc (patch from lmontel@mandrakesoft.com)
- Use kdedesktop2mdkmenu script

* Fri Feb 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.5-2mdk
- New release

* Fri Feb 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.5-1mdk
- New release

* Fri Dec 19 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.4-1mdk
- New release

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-3mdk
- Correction changelog

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-2mdk
- Correction Buildrequires

* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.3-1mdk
- new release

* Fri Jul 25 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.6.3-1mdk
- New release

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-3mdk
- Rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-2mdk
- buildrequires

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Tue Aug 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.5.0-2mdk
- New release

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 0.4.1-4mdk
- rebuild with gcc3.2

* Sat Jul 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.1-3mdk
- Mandrake adaptions
- Creation of patch for qt3 detection in configure
- Creation of french po file
